FCRON(8)

NAME
fcron - démon pour exécuter des tâches planifiées

SYNOPSIS
fcron [ -c fichier ] [ -d ] [ -b ] [ -s temps ] [ -m nombre ] [ -q nombre ] fcron [ -c fichier ] [ -d ] [ -f ] [ -o ] [ -y ] [ -l temps ] fcron [ -n rép ] fcron [ -h ] fcron [ -V ]

DESCRIPTION

Fcron devrait être lancé par un script /etc/rc ou /etc/rc.local. À moins que l'option -f (ou --foreground) n'ait été fournie, cette commande rend la main immédiatement. Ainsi, vous n'avez pas besoin de la lancer avec « & ».

Fcron charge les fichiers fcrontab des utilisateurs (voir fcrontab(5)) précédemment installés par fcrontab (voir fcrontab(1)). Ensuite, fcron calcule la date et l'heure de la prochaine exécution de chaque tâche, détermine combien de temps il va devoir s'endormir et s'endort pendant cette durée. Lorsqu'il se réveille, il vérifie toutes les tâches chargées et les lancent si nécessaire. Lorsqu'une tâche est exécutée, fcron se dédouble (Ndt : fork), modifie ses permissions utilisateur et groupe pour correspondre à celles de l'utilisateur pour lequel la tâche est exécutée, exécute cette tâche et envoie par courriel les sorties à l'utilisateur (ce comportement peut être modifié : voir fcrontab(5)).

Les messages d'informations sur ce qu'est en train de faire fcron sont envoyés à syslogd(8) en utilisant ses capacités cron, priorité notice. Les avertissements ou les messages d'erreurs sont respectivement envoyés avec la priorité warning ou error.

    Note: fcron s'endort au moins 20 secondes après qu'il ait été lancé avant d'exécuter une tâche, pour éviter de consommer trop de ressources pendant le démarrage du système.

OPTIONS

-f

--foreground
    Ne pas dédoubler en arrière plan. Dans ce mode de fonctionnement, fcron enverra les messages d'information sur la sortie d'erreur aussi bien qu'à syslogd.

-b

--background
    Forcer l'exécution en arrière plan, même si fcron a été compilé pour être lancé en avant plan par défaut.

-s sec

--savetime sec
    Enregistrer les fichiers fcrontab sur disque toutes les sec secondes (la valeur par défaut est 1800).

-m n

--maxserial n
    Positionner à n le nombre maximum de tâches qui peuvent être exécutées simultanément. La valeur par défaut est 1. Voir aussi : option serial de fcrontab(5).

-q n

--queuelen n
    Positionner à n le nombre de tâches que les files d'attente sérialisées (Ndt : serial) et charge système (Ndt : lavg) peuvent contenir.

-c fichier

--configfile fichier
    Indiquer à fcron d'utiliser le fichier de configuration fichier au lieu du fichier de configuration par défaut /usr/local/etc/fcron.conf. Pour interagir avec un processus fcron en cours d'exécution, fcrontab doit utiliser le même fichier de configuration (qui est défini par l'option -c de fcrontab). De cette manière, plusieurs processus fcron peuvent être exécutés simultanément sur la même machine (mais chaque processus fcron *doit* avoir un répertoire de travail (Ndt : spool directory) et un fichier pid différents des autres processus).

-o

--once
    Exécuter toutes les tâches qui doivent l'être au moment où fcron a été lancé, attendre que les tâches s'achèvent et s'arrêter. Positionne firstsleep à 0. Peut être pratique particulièrement lorsqu'elle est utilisée avec les options -y et -f dans un script lançant, par exemple, une connexion par ligne commutée (Ndt : dialup connection). Voir aussi : les options volatile et stdout de fcrontab.

-y

--nosyslog
    Ne pas journaliser vers syslog. Peut être utile lors d'une exécution en arrière plan.

-l délai

--firstsleep délai
    Définir le délai d'attente initial (en secondes) avant qu'une tâche ne soit exécutée. La valeur par défaut est 20 secondes.

-n rép

--newspooldir rép
    Créer rép comme nouveau répertoire de travail (Ndt : spool directory) de fcron. Positionner correctement son mode et son propriétaire. Puis, quitter.

-h

--help
    Afficher une brève description des options.

-V

--version
    Afficher un message d'information à propos de fcron. Cela inclut sa version et la licence sous laquelle il est distribué.

-d

--debug
    Démarrer en mode débogage (plus de détails sur la sortie d'erreur stderr - si l'option -f est fournie - et dans le fichier de journalisation).

VALEURS RENVOYÉES

Fcron renvoie 0 lorsqu'il quitte normalement, et 1 en cas d'erreur.

SIGNAUX

SIGTERM
    Enregistrer la configuration (temps restant jusqu'à la prochaine exécution, date et heure de la prochaine exécution, etc), attendre la fin de toutes les tâches en cours d'exécution et quitter.

SIGUSR1
    Forcer fcron à recharger sa configuration.

SIGUSR2
    Faire journaliser à fcron sa planification actuelle dans syslog. Il permet également d'activer ou désactiver l'affichage des informations de débogage dans syslog.

SIGHUP
    Demander à fcron de vérifier si la configuration a été modifiée (ce signal est utilisé par fcrontab(5)).

CONFORMITÉ

Devrait être conforme aux spécifications POSIX.

FICHIERS

/usr/local/etc/fcron.conf
    Fichier de configuration de fcron, fcrontab et fcrondyn : contient les chemins (répertoire spool, fichier pid) et les programmes par défaut à utiliser (éditeur, shell, etc.). Voir fcron.conf(5) pour plus de détails.

/usr/local/etc/fcron.allow
    Utilisateurs autorisés à utiliser fcrontab et fcrondyn (un seul nom par ligne, le nom spécial « all » signifiant tout le monde).

/usr/local/etc/fcron.deny
    Utilisateurs qui ne sont pas autorisés à utiliser fcrontab et fcrondyn (même format que le fichier précédent).

/usr/local/etc/pam.d/fcron (ou /usr/local/etc/pam.conf)
    Fichier de configuration PAM pour fcron. Voir pam(8) pour plus de détails.

VOIR AUSSI
fcrontab(1), fcrondyn(1), fcrontab(5), fcron.conf(5), fcron(8). Si vous êtes en train d'apprendre à utiliser fcron, je vous suggère plutôt de lire la version HTML de la documentation (si ce n'est pas déjà ce que vous faites en ce moment ! :) ) : le contenu est le même, mais il est plus aisé de naviguer grâce aux hyperliens.

AUTEUR

Thibault Godouet <fcron@free.fr>

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 6 février 2006.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=en man 8 fcron ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.